Update Communication Preferences
curl --request PUT \
--url https://api.thefaithapp.com/v1/community/communication-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"timezone": "Africa/Kampala",
"quiet_hours_enabled": true,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [
1,
2,
3,
4,
5
],
"topics": {
"direct_messages": true,
"ministries": true,
"community_groups": true,
"mutual_aid": true
}
}
'const options = {
method: 'PUT',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
timezone: 'Africa/Kampala',
quiet_hours_enabled: true,
quiet_start: '21:00',
quiet_end: '07:00',
quiet_days: [1, 2, 3, 4, 5],
topics: {
direct_messages: true,
ministries: true,
community_groups: true,
mutual_aid: true
}
})
};
fetch('https://api.thefaithapp.com/v1/community/communication-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/communication-preferences"
payload = {
"timezone": "Africa/Kampala",
"quiet_hours_enabled": True,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [1, 2, 3, 4, 5],
"topics": {
"direct_messages": True,
"ministries": True,
"community_groups": True,
"mutual_aid": True
}
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"communication_preferences": {
"timezone": "Africa/Kampala",
"quiet_hours_enabled": true,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [
1,
2,
3,
4,
5
],
"topics": {
"direct_messages": true,
"ministries": true,
"community_groups": true,
"mutual_aid": true
}
}
}
}Community Preferences & Research
Update Communication Preferences
Updates quiet hours, timezone, and topic-level community notification preferences.
PUT
/
v1
/
community
/
communication-preferences
Update Communication Preferences
curl --request PUT \
--url https://api.thefaithapp.com/v1/community/communication-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"timezone": "Africa/Kampala",
"quiet_hours_enabled": true,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [
1,
2,
3,
4,
5
],
"topics": {
"direct_messages": true,
"ministries": true,
"community_groups": true,
"mutual_aid": true
}
}
'const options = {
method: 'PUT',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
timezone: 'Africa/Kampala',
quiet_hours_enabled: true,
quiet_start: '21:00',
quiet_end: '07:00',
quiet_days: [1, 2, 3, 4, 5],
topics: {
direct_messages: true,
ministries: true,
community_groups: true,
mutual_aid: true
}
})
};
fetch('https://api.thefaithapp.com/v1/community/communication-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/communication-preferences"
payload = {
"timezone": "Africa/Kampala",
"quiet_hours_enabled": True,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [1, 2, 3, 4, 5],
"topics": {
"direct_messages": True,
"ministries": True,
"community_groups": True,
"mutual_aid": True
}
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"communication_preferences": {
"timezone": "Africa/Kampala",
"quiet_hours_enabled": true,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [
1,
2,
3,
4,
5
],
"topics": {
"direct_messages": true,
"ministries": true,
"community_groups": true,
"mutual_aid": true
}
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Body
application/json
IANA timezone identifier selected by the client.
Example:
"Africa/Kampala"
Pattern:
^([01]\d|2[0-3]):[0-5]\d$Example:
"22:00"
Pattern:
^([01]\d|2[0-3]):[0-5]\d$Example:
"07:00"
Required array length:
1 - 7 elementsRequired range:
1 <= x <= 7Show child attributes
Show child attributes
Was this page helpful?